import Foundation

public extension MeetupId {
  static func shouldEnableJoin(_ c: MeetupIdContext) -> Bool? {
    if
      c.textUI.isRecent,
      let sid = onlyFormat(c.textUI.value)
    {
      return sid.count > 2
    }

    if c.join {
      return false
    }
    
    return nil
  }
}
